Claim Business

SMB Claiming API provides a means to submit a business claim and to revoke a business claim on Yelp.

{
  "businesses": [
    {
      "matching_criteria": {
        "address1": "800 N Point St",
        "address2": null,
        "address3": null,
        "city": "San Francisco",
        "country": "US",
        "latitude": 37.8058024,
        "longitude": -122.420582,
        "name": "Gary Danko",
        "phone": "+14157492060",
        "postal_code": "94109",
        "state": "CA",
        "yelp_business_id": "WavvLdjbuy6g8aZTtbBQHTw"
      },
      "options": {
        "use_matching_criteria_for_update": "true"
      },
      "update": {
        "partner_biz_claim": {
          "owner_account": {
            "first_name": "John",
            "last_name": "Doe",
            "email": "[email protected]"
          }
        }
      }
    }
  ]
}

📘

This endpoint is part of the SMB Claiming API, visit SMB Claiming API to learn more.

Body Params

Request body

matching_criteria
object
required
options
object
update
object

Provides rich content for the business. Please use the table below for reference to all 'update' attributes.

string

Optional unique partner identifier for the business. Must not contain leading or trailing spaces. When provided, partner identifiers cannot change and must remain unique. Maximum length is 100.

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json